;
; ZX81MACR.INC
; include file with macros used by Sinclair ZX81
; for FASMZ80 (flatassembler with Z80 instruction set)
;
; V1.1
;

macro writeonscreen tp,msg
{
    local x,y,z
    virtual
      db msg
      x=$-$$
      y=(32-x)/2
      z=32-x-y
    end virtual
    if tp eq 'E'
      db      y dup(SPACE)
      dbzx    msg
      db      z dup(SPACE)
    else
      if x=0
      else
	db	y dup(SPACE)
	dbzx	msg
      end if
    end if
}

macro collapsed_screen
{
	db 12 dup(NEWLINE)
if defined STARTUPMSG
	writeonscreen 'C',STARTUPMSG
end if
	db 13 dup(NEWLINE)
}

macro full_screen
{
	db NEWLINE
	repeat 11
	db 32 dup(SPACE),NEWLINE
	end repeat
if defined STARTUPMSG
	writeonscreen 'E',STARTUPMSG
end if
	db NEWLINE
	repeat 12
	db 32 dup(SPACE),NEWLINE
	end repeat
}
